## go-component-factory go-component-factory |

## Synopsis

    enum                GOMimePriority;
    GSList*             go_components_get_mime_types        (void);
    GOMimePriority      go_components_get_priority          (char const *mime_type);
    gboolean            go_components_support_clipboard     (char const *mime_type);
    void                go_components_add_mime_type         (char *mime,
                                                             GOMimePriority priority,
                                                             char const *service_id);
    void                go_components_set_mime_suffix       (char const *mime,
                                                             char const *suffix);
    charconst *         go_components_get_mime_suffix       (char const *mime);
    void                goc_plugin_services_init            (void);
    void                goc_plugin_services_shutdown        (void);

## Description

## Details

### enum GOMimePriority

    typedef enum
    {
    	GO_MIME_PRIORITY_INVALID = -1,
    	GO_MIME_PRIORITY_DISPLAY,
    	GO_MIME_PRIORITY_PRINT,
    	GO_MIME_PRIORITY_PARTIAL,
    	GO_MIME_PRIORITY_FULL,
    	GO_MIME_PRIORITY_NATIVE,
    } GOMimePriority;

### go_components_get_mime_types ()

    GSList*             go_components_get_mime_types        (void);

Returns : |

### go_components_get_priority ()

    GOMimePriority      go_components_get_priority          (char const *mime_type);

`mime_type` : |
Returns : |

### go_components_support_clipboard ()

    gboolean            go_components_support_clipboard     (char const *mime_type);

`mime_type` : |
Returns : |

### go_components_add_mime_type ()

    void                go_components_add_mime_type         (char *mime,
                                                             GOMimePriority priority,
                                                             char const *service_id);

`mime` : |
`priority` : |
`service_id` : |

### go_components_set_mime_suffix ()

    void                go_components_set_mime_suffix       (char const *mime,
                                                             char const *suffix);

`mime` : |
`suffix` : |

### go_components_get_mime_suffix ()

    charconst *         go_components_get_mime_suffix       (char const *mime);

`mime` : |
Returns : |

### goc_plugin_services_init ()

    void                goc_plugin_services_init            (void);

### goc_plugin_services_shutdown ()

    void                goc_plugin_services_shutdown        (void);